import cDebugger from './cDebugger'
import { API } from '../libs/api'
import { Console } from '../libs/console'
import { Router } from '../libs/router'
const Components = {
  cDebugger
}
// Prototype
const medidebug = {
  API: new API(),
  Console: new Console(),
  Router: new Router()
}
/**
 * Instalar el servicio de OAuth para Vue.js
 * @param {Object} Vue Instancia de Vue en ejecucion
 * @param {Object} opts Opciones de inicializacion
 * @param {String} opts.appKey Llave de la aplicacion para comunicarse con el servicio de autenticacion
 */
const install = function (Vue, opts = {}) {
  // Importar componentes
  Object.keys(Components).forEach(name => {
    Vue.component(name, Components[name])
  })
  Vue.prototype.$medisoftdebug = medidebug
}

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  version: require('../../package.json').version,
  install,
  medidebug
}
