export class Console {
  constructor () {
    this.data = []
    /**
     * Crea una entrada en la consola del nivel "INFO"
     * @param {String} message Mensaje a mostrar en la consola
     * @param {Object} data Contenido opcional para renderizar en la consola
     */
    this.info = (message, data = null) => {
      let row = {
        time: Date.now(),
        type: 'info',
        message: message,
        data: data
      }
      this.unshift(row)
      if (process.env.NODE_ENV === 'development') console.info(message, data)
    }
    /**
     * Crea una entrada en la consola del nivel "SUCCESS"
     * @param {String} message Mensaje a mostrar en la consola
     * @param {Object} data Contenido opcional para renderizar en la consola
     */
    this.success = (message, data = null) => {
      let row = {
        time: Date.now(),
        type: 'success',
        message: message,
        data: data
      }
      this.unshift(row)
      if (process.env.NODE_ENV === 'development') console.debug(message, data)
    }
    /**
     * Crea una entrada en la consola del nivel "WARNING"
     * @param {String} message Mensaje a mostrar en la consola
     * @param {Object} data Contenido opcional para renderizar en la consola
     */
    this.warning = (message, data = null) => {
      let row = {
        time: Date.now(),
        type: 'warning',
        message: message,
        data: data
      }
      this.unshift(row)
      if (process.env.NODE_ENV === 'development') console.warn(message, data)
    }
    /**
     * Crea una entrada en la consola del nivel "ERROR"
     * @param {String} message Mensaje a mostrar en la consola
     * @param {Object} data Contenido opcional para renderizar en la consola
     */
    this.error = (message, data = null) => {
      let row = {
        time: Date.now(),
        type: 'error',
        message: message,
        data: data
      }
      this.unshift(row)
      if (process.env.NODE_ENV === 'development') console.error(message, data)
    }
    /**
     * Crea una entrada en la consola sin ningun nivel
     * @param {String} message Mensaje a mostrar en la consola
     * @param {Object} data Contenido opcional para renderizar en la consola
     */
    this.log = (message, data = null) => {
      let row = {
        time: Date.now(),
        type: 'log',
        message: message,
        data: data
      }
      this.unshift(row)
      if (process.env.NODE_ENV === 'development') console.log(message, data)
    }
    this.unshift = (data) => {
      this.data.unshift(data)
    }
  }
}
